/// <reference types="node" />
import http from 'http';
import { RpsContext } from 'rpscript-interface';
export interface ModuleContext {
    client?: any;
    consumer_key?: string;
    consumer_secret?: string;
    access_token_key?: string;
    access_token_secret?: string;
}
export default class RPSModule {
    constructor(ctx: RpsContext);
    serverStatic(ctx: RpsContext, opts: Object, publicFolder: string, port?: number): Promise<http.Server>;
}
