"use strict";
/**
 * @module node-static
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_static_1 = __importDefault(require("node-static"));
const http_1 = __importDefault(require("http"));
const rpscript_interface_1 = require("rpscript-interface");
let MOD_ID = "node-static";
let RPSModule = class RPSModule {
    constructor(ctx) {
    }
    serverStatic(ctx, opts, publicFolder, port) {
        return __awaiter(this, void 0, void 0, function* () {
            let file = new node_static_1.default.Server(publicFolder);
            let p = port || 8080;
            return http_1.default.createServer(function (request, response) {
                request.addListener('end', function () {
                    file.serve(request, response);
                }).resume();
            }).listen(p);
        });
    }
};
__decorate([
    rpscript_interface_1.rpsAction({ verbName: 'serve-static' })
], RPSModule.prototype, "serverStatic", null);
RPSModule = __decorate([
    rpscript_interface_1.RpsModule(MOD_ID)
], RPSModule);
exports.default = RPSModule;
